Transferts
POST https://samfichier.com/transfer/create_api
| Paramètres | Détails | Description |
|---|---|---|
| uploaded_files | Requis Tableau Entier | Tableau contenant les UUID des fichiers téléchargés à joindre à ce transfert |
| type | Requis Chaîne | Valeurs autorisées: link , email |
| email_to | Facultatif Chaîne | Disponible lorsque: type = email |
| name | Requis Chaîne | - |
| description | Facultatif Chaîne | - |
| url | Facultatif Chaîne | - |
| domain_id | Facultatif Entier | - |
| project_id | Facultatif Entier | - |
| pixels_ids | Facultatif Tableau Entier | - |
| download_notification_handlers_ids | Facultatif Tableau Entier | - |
| expiration_datetime | Facultatif Chaîne | Y-m-d H:i:s |
| downloads_limit | Facultatif Entier | - |
| password | Facultatif Chaîne | - |
| file_encryption_is_enabled | Facultatif Booléen | - |
| is_removed_branding | Facultatif Booléen | - |
| custom_css | Facultatif Chaîne | - |
| custom_js | Facultatif Chaîne | - |
curl --request POST \
--url 'https://samfichier.com/transfer/create_api' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'uploaded_files[]=de09be56-639f-4213-863b-5ea1aa065970' \
--form 'name=Example name' \
--form 'description=Example description' \
--url 'https://samfichier.com/transfer/create_api' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'uploaded_files[]=de09be56-639f-4213-863b-5ea1aa065970' \
--form 'name=Example name' \
--form 'description=Example description' \
{
"data": {
"id": 1,
"download_url": https://samfichier.com/transfer-redirect/1,
"view_url": https://samfichier.com/transfer/1,
}
}